Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_IOR_Table_Impl Class Reference

`#include <IOR_Table_Impl.h>`

Inheritance diagram for TAO_IOR_Table_Impl

[legend]
Collaboration diagram for TAO_IOR_Table_Impl:

[legend]
List of all members.

## Public Methods
| TAO_IOR_Table_Impl (void)
| Constructor.
char* | find ( const char *object_key, CORBA::Environment &ACE_TRY_ENV ) throw ( CORBA::SystemException, IORTable::NotFound )
| Find the object, using the locator if it is not on the table.
virtual void | bind ( const char * object_key, const char * IOR, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, IORTable::AlreadyBound )
virtual void | rebind ( const char * object_key, const char * IOR, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
virtual void | unbind ( const char * object_key, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, IORTable::NotFound )
virtual void | set_locator ( IORTable::Locator_ptr the_locator, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )
## Private Types
typedef ACE_Hash_Map_Manager< ACE_CString,ACE_CString,ACE_Null_Mutex> | Map
## Private Attributes
Map | map_
| The map.
IORTable::Locator_var | locator_
| The locator.
TAO_SYNCH_MUTEX | lock_
| Synchronization.

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager<ACE_CString,ACE_CString,ACE_Null_Mutex> TAO_IOR_Table_Impl::Map`[private]`

## Constructor & Destructor Documentation

TAO_IOR_Table_Impl::TAO_IOR_Table_Impl ( | void )

| Constructor.

## Member Function Documentation

void TAO_IOR_Table_Impl::bind ( | const char * object_key,
| const char * IOR,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, IORTable::AlreadyBound )`[virtual]`

char * TAO_IOR_Table_Impl::find ( | const char * object_key,
| CORBA::Environment & ACE_TRY_ENV ) throw ( CORBA::SystemException, IORTable::NotFound )

| Find the object, using the locator if it is not on the table.

void TAO_IOR_Table_Impl::rebind ( | const char * object_key,
| const char * IOR,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

void TAO_IOR_Table_Impl::set_locator ( | IORTable::Locator_ptr locator,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException )`[virtual]`

void TAO_IOR_Table_Impl::unbind ( | const char * object_key,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () ) throw ( CORBA::SystemException, IORTable::NotFound )`[virtual]`

## Member Data Documentation

IORTable::Locator_var TAO_IOR_Table_Impl::locator_`[private]`

| The locator.

TAO_SYNCH_MUTEX TAO_IOR_Table_Impl::lock_`[private]`

| Synchronization.

Map TAO_IOR_Table_Impl::map_`[private]`

| The map.

The documentation for this class was generated from the following files:

- IOR_Table_Impl.h
- IOR_Table_Impl.cpp